package com.danitheskunk.skunkstream;

import com.danitheskunk.skunkworks.Recti;
import com.danitheskunk.skunkworks.Vec2i;
import com.danitheskunk.skunkworks.gfx.IRenderContext;

public class NineSlice implements IElement {
	private final Vec2i pos;
	private final com.danitheskunk.skunkworks.gfx.NineSlice nineSlice;
	private final Vec2i size;

	public NineSlice(Vec2i pos,
		com.danitheskunk.skunkworks.gfx.NineSlice nineSlice, Vec2i size) {
		this.pos = pos;
		this.nineSlice = nineSlice;
		this.size = size;
	}

	@Override
	public void render(IRenderContext rc) {
		rc.drawNineSlice(nineSlice, new Recti(pos, size));
	}
}
